Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PushMessageContentPremiumGiveaway

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent
it.tdlight.jni.TdApi.PushMessageContentPremiumGiveaway

Enclosing class:
  TdApi

public static final class TdApi.PushMessageContentPremiumGiveaway extends TdApi.PushMessageContent
A message with a Telegram Premium giveaway.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isPinned`
True, if the message is a pinned message with the specified content.
`int`
`monthCount`
Number of months the Telegram Premium subscription will be active after code activation; 0 for pinned message.
`int`
`winnerCount`
Number of users which will receive Telegram Premium subscription gift codes; 0 for pinned message.

## Constructor Summary

Constructors
Constructor
Description
`PushMessageContentPremiumGiveaway()`
A message with a Telegram Premium giveaway.
`PushMessageContentPremiumGiveaway(int winnerCount, int monthCount, boolean isPinned)`
A message with a Telegram Premium giveaway.
`PushMessageContentPremiumGiveaway(DataInput input)`
A message with a Telegram Premium giveaway.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### winnerCount

public int winnerCount
Number of users which will receive Telegram Premium subscription gift codes; 0 for pinned message.

### monthCount

public int monthCount
Number of months the Telegram Premium subscription will be active after code activation; 0 for pinned message.

### isPinned

public boolean isPinned
True, if the message is a pinned message with the specified content.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PushMessageContentPremiumGiveaway

public PushMessageContentPremiumGiveaway()
A message with a Telegram Premium giveaway.

### PushMessageContentPremiumGiveaway

public PushMessageContentPremiumGiveaway(int winnerCount, int monthCount, boolean isPinned)
A message with a Telegram Premium giveaway.

Parameters:
  `winnerCount` - Number of users which will receive Telegram Premium subscription gift codes; 0 for pinned message.
  `monthCount` - Number of months the Telegram Premium subscription will be active after code activation; 0 for pinned message.
  `isPinned` - True, if the message is a pinned message with the specified content.

### PushMessageContentPremiumGiveaway

public PushMessageContentPremiumGiveaway(DataInput input) throws IOException
A message with a Telegram Premium giveaway.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`